/* About  */

.about {
  grid-template-areas: 
    "title"
    "hr"
    "text"
    "list";
  margin-top: 9rem;
}

.about b {
  grid-area: title;
}

.about hr {
  grid-area: hr;
}

.about-text {
  grid-area: text;
}

.about-text p:last-child {
  margin-bottom: 0;
}

.about ul {
  grid-area: list;
}

.about ul li {
  align-items: center;
}

.about-contacts {
  display: flex;
  justify-content: center;
  align-items: center;

  min-height: 375px;
  
  color: var(--color-white);
  background-color: var(--color-medium-teal-blue);
}

.about-contacts p {
  margin-bottom: 0;
  text-align: center;
}

.about-contacts a {
  color: var(--color-white);
  text-decoration-color:  var(--color-science-blue);
  text-underline-offset: 2px;
  text-decoration-thickness: 4px;
  transition: all 0.2s ease-in-out;
}

.about-contacts a:hover,
.about-contacts a:focus {
  text-decoration-color:  var(--color-regent-st-blue);
}

@media (min-width: 768px) {
  .about-contacts {
    min-height: 450px;
  }
}

/* Facts */

.factsImgWrapper img {
  /* width: 100%;
  height: 100%;
  object-fit: cover; */
}

.facts a {
  color: var(--color-white);
  text-decoration: none;
}

.facts a:hover {
  text-decoration: underline;
}
.factsStatsImgWrapper {

}

.facts-mobile-stats {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: var(--color-medium-teal-blue);
  text-align: center;
}

.facts-mobile-stats figure,
.facts-traffic-stats figure {
  margin: 0;
}


@media (max-width: 767px) {
  .facts-mobile-stats,
  .facts-traffic-stats {
    display: none;
  }
}

/* Stats BQ */

.bq-stats {
  padding-top: 9rem;
}

.bq-stats a {
  color: var(--color-medium-teal-blue);;
  text-decoration: none;
}

.bq-stats a:hover {
  text-decoration: underline;
}

.bq-stats ul p {
  margin-bottom: 0;
}

@media (max-width: 767px) {
  .bq-stats figure {
    display: none;
  }
}

/* Advantages */

.advantages h3 {
  grid-area: title;
  margin-bottom: 0;
}

.advantages hr {
  grid-area: hr;
}

.advantages-text a {
  color: var(--color-medium-teal-blue);
  text-decoration: none;
}

.advantages-text a:hover {
  text-decoration: underline;
}

.advantages-list {
  display: grid;
  grid-area: content;
  row-gap: 1.5rem;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.advantages-list > li {
  display: grid;
  grid-template-areas: 
    "icon title"
    "icon text";
  column-gap: 1rem;
}

.advantages-list figure {
  grid-area: icon;
}

.advantages-list h4 {
  grid-area: title;
  margin-bottom: 0;
}

.advantages-list li p {
  grid-area: text;
  margin-bottom: 0;
}

.advantages-color {
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--color-white);
  background-color: var(--color-medium-teal-blue);
}

.advantages-color p {
  margin-bottom: 0;
}

.advantages-color a:not(:global(.button)) {
  color: var(--color-water-blue);
  text-decoration: none;
}

.advantages-color a:not(:global(.button)):hover {
  text-decoration: underline;
}

.advantages-color2 {
  text-align: center;
}

.advantages-color2 a:not(:global(.button)) {
  color: var(--color-white);
  text-decoration: underline;
  text-decoration-color: var(--color-science-blue);
  text-underline-offset: 2px;
  text-decoration-thickness: 4px;
  transition: all 0.2s ease-in-out;
}

.advantages-color2 a:not(:global(.button)):hover,
.advantages-color2 a:not(:global(.button)):focus {
  text-decoration-color:  var(--color-regent-st-blue);
}

.btn-wrapper {
  display: flex;
  justify-content: center;
}

.advantages-stats {
  display: grid;
  row-gap: 1rem;
}

.advantages-stats figure {
  margin: 0;
  justify-self: center;
}


@media (min-width: 576px) {
  .advantages-list li {
    column-gap: 1.5rem;
  }
}

@media (min-width: 768px) {
  .advantages-list {
    grid-template-columns: 1fr 1fr;
  }

  .advantages-list li {
    column-gap: 2rem;
  }
}

@media (min-width: 1024px) {
  .advantages ul {
    grid-template-columns: 1fr 1fr;
    row-gap: 4rem;
    column-gap: 1rem;
  }
}

@media (min-width: 1280px) {
  .advantages ul {
    width: 65rem;
  }
  
  .advantages-stats {
    grid-template-columns: 1fr 1fr;
    column-gap: 2rem;
  }

  .advantages-color2 {
    min-height: 30rem;
  }
}

@media (min-width: 1400px) {
  .advantages-color2 {
    min-height: 40rem;
  }
}

@media (min-width: 1600px) {
  .advantages ul {
    width: 75rem;
  }

  .advantages-color2 {
    min-height: 49rem;
  }
}

.structure b {
  grid-area: title;
}

.structure hr {
  grid-area: hr;
}

.structure ol {
  grid-area: content;
}

.structure ol p {
  margin-bottom: 0;
}

.structure-color {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 28rem;
  color: var(--color-white);
  background-color: var(--color-medium-teal-blue);
}

.structure-color p {
  margin-bottom: 0;
}

.structureArticle {
  margin-bottom: 9rem;
}

/* LineChart */

.line-chart-wrapper {
  background-color: var(--color-medium-teal-blue);
}

.line-chart-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

@media (max-width: 578px) {
  .line-chart-wrapper {
    display: none;
  }
}

/* Services */

.services-slider {
  position: relative;
  padding-bottom: 0.5rem;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
  margin-top: 10rem;
}

.services-slider::-webkit-scrollbar {
  display: none;
}

.services-slider:after {
  content: '';
  position: absolute;
  z-index: 0;
  bottom: 0.5rem;
  left: 0;
  right: 0;
  height: 2px;
  background-color: var(--color-hint-of-red);
}

.services {
  padding-top: 9rem;
}

.services ul {
  display: flex;
  column-gap: 2rem;
  margin: 0;
  padding: 0 2.5rem;
  list-style-type: none;
  justify-content: flex-start !important;
}

.services li {
  position: relative;
  z-index: 1;
  display: grid;
  grid-template-areas:
    "icon"
    "text";
  justify-content: center;
  row-gap: 1.25rem;
  flex-grow: 0;
  flex-shrink: 0;
  width: 13rem;
  padding-bottom: 2.5rem;
  text-align: center;
}

.services li::after {
  content: '';
  position: absolute;
  z-index: 1;
  top: 100%;
  left: 50%;
  transform: translate(-50%,-50%);
  width: 0.5rem;
  height: 0.5rem;
  border: 2px solid var(--color-dark);
  border-radius: 50%;
}

.services p {
  grid-area: text;
  margin-bottom: 0;
  font-weight: 600;
  font-size: 1.25rem;
  line-height: 1.5;
  font-family: var(--font-family-poppins);
  text-align: center;
}

.services figure {
  grid-area: icon;
}

@media (min-width: 1460px) {
  .services ul {
    justify-content: center;
  }
}

.middleText {
  margin-top: 3rem;
  margin-bottom: 2rem !important;
}


.about {

}

.about a {
  color: var(--color-white);
  text-decoration: underline;
  text-decoration-color: var(--color-science-blue);
  text-underline-offset: 2px;
  text-decoration-thickness: 4px;
  transition: all 0.2s ease-in-out;
}

.about a:hover,
.about a:focus {
  text-decoration-color:  var(--color-regent-st-blue);
}